Google Scholar 个人主页 API
按姓名查找 Google Scholar 作者档案。设置 engine=google_scholar_profiles 并将姓名传入 mauthors,即可获取匹配作者的列表,包含其 ID、所属机构和引用次数。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API 密钥 |
engine | string | yes | 必须为 google_scholar_profiles |
mauthors | string | yes | 要搜索的作者姓名 |
hl | string | no | 界面语言代码 |
after_author | string | no | 下一页令牌,必须跟在 before_author 值之后使用 |
before_author | string | no | 上一页令牌 |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"import requests
params = { "engine": "google_scholar_profiles", "api_key": "YOUR_API_KEY", "mauthors": "jake",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_profiles', api_key: 'YOUR_API_KEY', mauthors: 'jake',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_scholar_profiles", "mauthors": "jake" }, "profiles": [ { "name": "Jake Smith", "author_id": "LSsXyncAAAAJ", "affiliations": "Professor of Computer Science, MIT", "email": "Verified email at mit.edu", "cited_by": 18200, "interests": [ { "title": "Artificial Intelligence" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." } ], "pagination": { "next_page_token": "...", "next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..." }}